## com.baidubce.services.bos.model
Class BosObjectSummary

    java.lang.Object
      com.baidubce.services.bos.model.BosObjectSummary

    public class BosObjectSummary

extends Object

Contains the summary of an object stored in a Baidu Bos bucket. This object doesn't contain contain the object's full metadata or any of its contents.

Field Summary
`protected String` `bucketName` The name of the bucket in which this object is stored.
`protected String` `eTag` Hex encoded MD5 hash of this object's contents, as computed by Baidu Bos.
`protected String` `key` The key under which this object is stored.
`protected Date` `lastModified` The date, according to Baidu Bos, when this object was last modified.
`protected User` `owner` The user of this object - can be null if the requester doesn't have permission to view object ownership information.
`protected long` `size` The size of this object, in bytes.

Constructor Summary
`BosObjectSummary()`

Method Summary
`String` `getBucketName()` Gets the name of the Baidu Bos bucket in which this object is stored.
`String` `getETag()` Gets the hex encoded 128-bit MD5 hash of this object's contents as computed by Baidu Bos.
`String` `getKey()` Gets the key under which this object is stored in Baidu Bos.
`Date` `getLastModified()` Gets the date when, according to Baidu Bos, this object was last modified.
`User` `getOwner()` Gets the owner of this object.
`long` `getSize()` Gets the size of this object in bytes.
`void` `setBucketName(String bucketName)` Sets the name of the Baidu Bos bucket in which this object is stored.
`void` `setETag(String eTag)` Sets the hex encoded 128-bit MD5 hash of this object's contents as computed by Baidu Bos.
`void` `setKey(String key)` Sets the key under which this object is stored in Baidu Bos.
`void` `setLastModified(Date lastModified)` Sets the date, according to Baidu Bos, this object was last modified.
`void` `setOwner(User owner)` Sets the owner of this object.
`void` `setSize(long size)` Sets the size of this object in bytes.
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### bucketName

    protected String bucketName

  The name of the bucket in which this object is stored.

### key

    protected String key

  The key under which this object is stored.

### eTag

    protected String eTag

  Hex encoded MD5 hash of this object's contents, as computed by Baidu Bos.

### size

    protected long size

  The size of this object, in bytes.

### lastModified

    protected Date lastModified

  The date, according to Baidu Bos, when this object was last modified.

### owner

    protected User owner

  The user of this object - can be null if the requester doesn't have permission to view object ownership information.

Constructor Detail

### BosObjectSummary

    public BosObjectSummary()

Method Detail

### getBucketName

    public String getBucketName()

  Gets the name of the Baidu Bos bucket in which this object is stored.

  Returns:
    The name of the Baidu Bos bucket in which this object is stored.

### setBucketName

    public void setBucketName(String bucketName)

  Sets the name of the Baidu Bos bucket in which this object is stored.

  Parameters:
    `bucketName` - The name of the Baidu Bos bucket in which this object is stored.

### getKey

    public String getKey()

  Gets the key under which this object is stored in Baidu Bos.

  Returns:
    The key under which this object is stored in Baidu Bos.

### setKey

    public void setKey(String key)

  Sets the key under which this object is stored in Baidu Bos.

  Parameters:
    `key` - The key under which this object is stored in Baidu Bos.

### getETag

    public String getETag()

  Gets the hex encoded 128-bit MD5 hash of this object's contents as computed by Baidu Bos.

  Returns:
    The hex encoded 128-bit MD5 hash of this object's contents as computed by Baidu Bos.

### setETag

    public void setETag(String eTag)

  Sets the hex encoded 128-bit MD5 hash of this object's contents as computed by Baidu Bos.

  Parameters:
    `eTag` - The hex encoded 128-bit MD5 hash of this object's contents as computed by Baidu Bos.

### getSize

    public long getSize()

  Gets the size of this object in bytes.

  Returns:
    The size of this object in bytes.

### setSize

    public void setSize(long size)

  Sets the size of this object in bytes.

  Parameters:
    `size` - The size of this object in bytes.

### getLastModified

    public Date getLastModified()

  Gets the date when, according to Baidu Bos, this object was last modified.

  Returns:
    The date when, according to Baidu Bos, this object was last modified.

### setLastModified

    public void setLastModified(Date lastModified)

  Sets the date, according to Baidu Bos, this object was last modified.

  Parameters:
    `lastModified` - The date when, according to Baidu Bos, this object was last modified.

### getOwner

    public User getOwner()

  Gets the owner of this object.

  Returns:
    The owner of this object.

### setOwner

    public void setOwner(User owner)

  Sets the owner of this object.

  Parameters:
    `owner` - The owner of this object.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.